import useLodop from '@/utils/hooks/useLodop.ts'
import { printWithLodop } from '@/utils/lodopPrinter'

const { getCLodop } = useLodop()

export const print = async (url: string,printDevice:string) => {
  await printWithLodop({
    getCLodop: () => getCLodop(null, null),
    printer: printDevice,
    data: { filePath: url },
    callback: (_status: boolean) => {},
    baseUrl: '',
  })
}
